=begin pod

=TITLE role Metamodel::Naming

=SUBTITLE Metaobject that supports named types

    role Metamodel::Naming { }

L<Meta model|/language/mop> role for (optionally) named things, like classes,
roles and enums.

=head1 Methods

=head2 method name

    method name($type)

Returns the name of the meta object, if any.

    say 42.^name;       # Int

=head2 method set_name

    method set_name($type, $new_name)

Sets the new name of the meta object.

=end pod
